> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get network list



## OpenAPI

````yaml get /open/api/network/list
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/network/list:
    get:
      tags: []
      summary: Get network list
      parameters:
        - name: host
          in: query
          description: >-
            proxy network ip/domain The `host` value contained in the current
            interface's returned result
          required: false
          schema:
            type: string
        - name: num
          in: query
          description: The `num` value contained in the current interface's returned result
          required: false
          schema:
            type: integer
        - name: remark
          in: query
          description: remark
          required: false
          schema:
            type: string
        - name: groupId
          in: query
          description: >-
            The `groupId` value contained in the current interface's returned
            result
          required: false
          schema:
            type: integer
            format: int64
        - name: groupCode
          in: query
          description: >-
            Network system packet code, all_group=All groups,renew_expired=After
            the renewal period,un_group=Not grouped
          required: false
          schema:
            type: string
        - name: groupType
          in: query
          description: >-
            Network Packet Type, system_group=System
            grouping,custom_group=Custom grouping
          required: false
          schema:
            type: string
        - name: nums
          in: query
          description: Proxy serial numbers, comma-separated for multiple
          required: false
          schema:
            type: string
        - name: pageSize
          in: query
          description: >-
            Number of records displayed per page

            The default is1,and the maximum number of items in a single query
            is:1
          required: false
          schema:
            type: integer
        - name: pageNum
          in: query
          description: Current page count
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableDataInfoNetworkListResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    TableDataInfoNetworkListResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Link ID
        total:
          type: integer
          description: Total number of records
          format: int64
        rows:
          type: array
          items:
            $ref: '#/components/schemas/NetworkListResVO'
            description: NetworkListResVO
          description: list data
        code:
          type: integer
          description: Message status code
        msg:
          type: string
          description: message content
    NetworkListResVO:
      type: object
      properties:
        id:
          type: integer
          description: Network ID
          format: int64
        name:
          type: string
          description: proxy network name
        num:
          type: integer
          description: serial number, Used for displaying sorting
        groupId:
          type: integer
          description: proxy network group id
          format: int64
        groupName:
          type: string
          description: proxy network group name
        host:
          type: string
          description: proxy network ip/domain
        port:
          type: integer
          description: proxy network port
        account:
          type: string
          description: account
        password:
          type: string
          description: password
        type:
          type: string
          description: proxy network type 1=socks5,2=https,3=http
        status:
          type: integer
          description: proxy network status, 0=undetected,1=Test passed,2=Test failed
        detectDataType:
          type: integer
          description: Data type of the test results，1=Follow the IP 2=custom
        bindCount:
          type: integer
          description: Number of associated mobile phones
          format: int64
        boxBindCount:
          type: integer
          description: The number of times the Magic Box mobile phone has been bound
          format: int64
        countryCode:
          type: string
          description: proxy network country code
        timezone:
          type: string
          description: proxy network timezone
        language:
          type: string
          description: proxy network language
        countryName:
          type: string
          description: proxy network country name
        region:
          type: string
          description: proxy network region
        latitude:
          type: string
          description: proxy network latitude
        longitude:
          type: string
          description: proxy network longitude
        ip:
          type: string
          description: proxy network Actual IP address
        remark:
          type: string
          description: remark
        createTime:
          type: string
          description: create time
        updateTime:
          type: string
          description: update time
        expireTime:
          type: string
          description: 代理到期时间

````